#ifndef UDP_SERVER_H
#define UDP_SERVER_H

#include <stdint.h>
#include "lwip/udp.h"

typedef struct udp_server_t {
    struct udp_pcb *pcb;
    ip_addr_t remote_addr;
    uint16_t remote_port;
} udp_server_t;

void udp_server_init(int port);
void udp_server_exit(void);
void udp_server_send(const uint8_t *data, size_t length, const char *ip, uint16_t port);

#endif // UDP_SERVER_H